Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Inlet::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Inlet::Sensors Struct Reference

Inlet sensors More...

## Public Attributes
sensors::NumericSensor | voltage
| RMS voltage sensor (may be a VoltageMonitoringSensor)
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor. More...
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor. More...
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor | unbalancedLineLineCurrent
| Line-Line current unbalance sensor.
sensors::NumericSensor | unbalancedVoltage
| Voltage unbalance sensor.
sensors::NumericSensor | unbalancedLineLineVoltage
| Line-Line voltage unbalance sensor.
sensors::NumericSensor | lineFrequency
| Line AC frequency sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
sensors::StateSensor | powerQuality
| Power quality sensor.
sensors::StateSensor | surgeProtectorStatus
| Surge protector status sensor.
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

Inlet sensors

## Member Data Documentation

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::Inlet::Sensors::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

The documentation for this struct was generated from the following file:

- Inlet.idl